Subject: bug#53172: 29.0.50; cannot use fcitx5 after upgrading emacs

From: 王会斌 <[email-masked]>
Date: Tue, 11 Jan 2022 09:25:39 +0800 (CST)

From: [email-masked]

To: [email-masked]

Subject: 29.0.50; cannot use fcitx5 after upgrading emacs

Date: Tue, 11 Jan 2022 09:22:01 +0800

Message-ID: <[email-masked]>

--text follows this line--

After upgrading emacs to the latest version, I cannot enable fcitx5 in

emacs.

When I try to enable it, the frame of fcitx just appears and disappears

quickly.

The version that does not has this issue I know is

emacs-git-29.0.50.153249-1-x86_64.pkg.tar.zst. And the version I am

using, which has this issue, is 29.0.50.153486-1.

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.31, cairo version 1.17.4)

 of 2022-01-11 built on lilydjwg

Repository revision: 99f47ede413ea8c04ad1f1ca8f1a678f7942578c

Repository branch: master

Windowing system distributor 'The X.Org Foundation', version 11.0.12101003

System Description: Arch Linux

Configured using:

 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib

 --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games

 --with-sound=alsa --with-modules --without-libotf --without-m17n-flt

 --without-gconf --without-gsettings --with-sound=no --with-xwidgets

 --without-gpm '--program-transform-name=s/\([ec]tags\)/\1.emacs/'

 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt'

 CPPFLAGS=-D_FORTIFY_SOURCE=2

 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:

ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS HARFBUZZ JPEG JSON LCMS2

LIBSYSTEMD LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP

SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM XPM XWIDGETS

GTK3 ZLIB

Important settings:

  value of $LANG: en_US.UTF-8

  value of $XMODIFIERS: @im=fcitx

  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:

  tooltip-mode: t

  global-eldoc-mode: t

  eldoc-mode: t

  show-paren-mode: t

  electric-indent-mode: t

  mouse-wheel-mode: t

  tool-bar-mode: t

  menu-bar-mode: t

  file-name-shadow-mode: t

  global-font-lock-mode: t

  font-lock-mode: t

  blink-cursor-mode: t

  auto-composition-mode: t

  auto-encryption-mode: t

  auto-compression-mode: t

  line-number-mode: t

  indent-tabs-mode: t

  transient-mark-mode: t

Load-path shadows:

None found.

Features:

(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny

dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg

rfc6068 epg-config gnus-util text-property-search time-date seq gv

subr-x byte-opt bytecomp byte-compile cconv mm-decode mm-bodies

mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs

cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils

iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks

lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd

tool-bar dnd fontset image regexp-opt fringe tabulated-list replace

newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar

rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock

font-lock syntax font-core term/tty-colors frame minibuffer cl-generic

cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao

korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech

european ethiopic indian cyrillic chinese composite emoji-zwj charscript

charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray

cl-preloaded nadvice button loaddefs faces cus-face macroexp files

window text-properties overlay sha1 md5 base64 format env code-pages

mule custom widget keymap hashtable-print-readable backquote threads

xwidget-internal dbusbind inotify lcms2 dynamic-setting

font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty

make-network-process emacs)

Memory information:

((conses 16 43268 9558)

 (symbols 48 5669 1)

 (strings 32 15488 1872)

 (string-bytes 1 498279)

 (vectors 16 11642)

 (vector-slots 8 161447 13522)

 (floats 8 21 50)

 (intervals 56 252 0)

 (buffers 992 11))